Upload Document

Tutorial Assignment
0. Required fields
1. Prepare Data
Account_id
2. Upload Document
Upload document & linking in one step
Creates new cloudobjectrelation
Specify validation level of cloudobjectrelation on create. Use them as bit mask: 0 - validate each field on entity, 2 - validate only changed fields, 4 - validate only system fields, 8 - allows to override readonly fields, 16 - allows to set entity on deleted relationship.
Last modification time.
2019-01-01T00:00:00Creation time.
2019-01-01T00:00:00Relation to single entity instance.
01234567-abcd-dcba-ffff-000000000000Relation to single abstract entity instance. E.g. Relation to Lead/Oppty
01234567-abcd-dcba-ffff-000000000000Relation to single entity instance.
01234567-abcd-dcba-ffff-000000000000Relation to single entity instance.
01234567-abcd-dcba-ffff-000000000000Relation to single entity instance.
01234567-abcd-dcba-ffff-000000000000Relation to single entity instance.
01234567-abcd-dcba-ffff-000000000000Relation to single abstract entity instance. E.g. Relation to Lead/Oppty
01234567-abcd-dcba-ffff-000000000000Relation to single abstract entity instance. E.g. Relation to Lead/Oppty
01234567-abcd-dcba-ffff-000000000000Relation to single entity instance.
01234567-abcd-dcba-ffff-000000000000Relation to single entity instance.
01234567-abcd-dcba-ffff-000000000000Relation to single entity instance.
01234567-abcd-dcba-ffff-000000000000Relation to single entity instance.
01234567-abcd-dcba-ffff-000000000000Revision when entity was lastly changed.
1Creation confirmation. Returns created cloudobjectrelation
True when response succeeded, false on error.
trueunexpected error
POST /api/v100/rest/spaces/<space_id>/entities/CloudObjectRelations HTTP/1.1
Host: us-east.pipelinersales.com/api/v100/rest/spaces/<space_id>
Content-Type: application / json
Accept: */*
Content-Length: 769
{
"cloud_object": {
"id": "https://example.com"
},
"report_schedule": {
"id": "https://example.com"
},
"account_id": "01234567-abcd-dcba-ffff-000000000000",
"activity_id": "01234567-abcd-dcba-ffff-000000000000",
"cloud_object_id": "01234567-abcd-dcba-ffff-000000000000",
"contact_id": "01234567-abcd-dcba-ffff-000000000000",
"email_sequence_id": "01234567-abcd-dcba-ffff-000000000000",
"email_template_id": "01234567-abcd-dcba-ffff-000000000000",
"lead_oppty_id": "01234567-abcd-dcba-ffff-000000000000",
"message_id": "01234567-abcd-dcba-ffff-000000000000",
"process_id": "01234567-abcd-dcba-ffff-000000000000",
"process_template_id": "01234567-abcd-dcba-ffff-000000000000",
"project_id": "01234567-abcd-dcba-ffff-000000000000",
"report_schedule_id": "01234567-abcd-dcba-ffff-000000000000",
"revision": 1
}{
"success": true,
"data": {
"is_delete_protected": false,
"id": "01234567-abcd-dcba-ffff-000000000000",
"is_deleted": false,
"modified": "2019-01-01T00:00:00",
"created": "2019-01-01T00:00:00",
"account": "https://example.com",
"appointment": "https://example.com",
"task": "https://example.com",
"cloud_object": "https://example.com",
"contact": "https://example.com",
"email_sequence": "https://example.com",
"email_template": "https://example.com",
"lead": "https://example.com",
"oppty": "https://example.com",
"email": "https://example.com",
"memo": "https://example.com",
"process": "https://example.com",
"process_template": "https://example.com",
"project": "https://example.com",
"report_schedule": "https://example.com",
"account_id": "01234567-abcd-dcba-ffff-000000000000",
"activity_id": "01234567-abcd-dcba-ffff-000000000000",
"cloud_object_id": "01234567-abcd-dcba-ffff-000000000000",
"contact_id": "01234567-abcd-dcba-ffff-000000000000",
"email_sequence_id": "01234567-abcd-dcba-ffff-000000000000",
"email_template_id": "01234567-abcd-dcba-ffff-000000000000",
"lead_oppty_id": "01234567-abcd-dcba-ffff-000000000000",
"message_id": "01234567-abcd-dcba-ffff-000000000000",
"process_id": "01234567-abcd-dcba-ffff-000000000000",
"process_template_id": "01234567-abcd-dcba-ffff-000000000000",
"project_id": "01234567-abcd-dcba-ffff-000000000000",
"report_schedule_id": "01234567-abcd-dcba-ffff-000000000000",
"revision": 1
}
}
Uploading files from external storage

Last updated

